The cabal-helper package

[ Tags: agpl, distribution, library, program ] [ Propose Tags ]

cabal-helper provides a library which wraps the internal use of executables to lift the restrictions imposed by linking against versions of GHC before 7.10.

cabal-helper uses a wrapper executable to compile the actual cabal-helper executable at runtime while linking against an arbitrary version of Cabal. This runtime-compiled helper executable is then used to extract various bits and peices from Cabal's on disk state (dist/setup-config) written by it's configure command.

In addition to this the wrapper executable also supports installing any version of Cabal from hackage in case it cannot be found in any available package database. The wrapper installs these instances of the Cabal library into a private package database so as to not interfere with the user's packages.

Furthermore the wrapper supports one special case namely reading a state file for Cabal itself. This is needed as Cabal compiles it's Setup.hs using itself and not using any version of Cabal installed in any package database.

cabal-helper can compile with Cabal >= 1.14 but requires Cabal >= 1.16 at runtime.

Properties

Versions 0.1.0.0, 0.1.0.1, 0.2.0.0, 0.3.0.0, 0.3.1.0, 0.3.2.0, 0.3.2.1, 0.3.3.0, 0.3.4.0, 0.3.5.0, 0.3.6.0, 0.3.7.0, 0.3.8.0, 0.3.9.0, 0.4.0.0, 0.5.0.0, 0.5.1.0, 0.5.2.0, 0.5.3.0, 0.6.0.0, 0.6.1.0, 0.6.2.0, 0.6.3.0, 0.6.3.1, 0.7.0.1, 0.7.1.0, 0.7.2.0, 0.7.3.0, 0.8.0.0, 0.8.0.1, 0.8.0.2 (info)
Dependencies base (>=4.5 && <5), bytestring (>=0.9.2.1 && <0.11), Cabal (>=1.14 && <1.23), data-default (==0.7.*), directory (>=1.1.0.2 && <1.5), filepath (>=1.3.0.0 && <1.5), ghc-prim, mtl (==2.2.*), process (>=1.1.0.1 && <1.3), template-haskell (>=2.7.0.0 && <2.11), temporary (==1.2.*), transformers (>=0.3.0.0 && <0.6), utf8-string [details]
License AGPL-3
Author Daniel Gröber <dxld@darkboxed.org>
Maintainer dxld@darkboxed.org
Category Distribution
Source repo head: git clone https://github.com/DanielG/cabal-helper.git
Uploaded Mon Aug 3 02:45:27 UTC 2015 by DanielG
Updated Wed Jul 6 19:20:50 UTC 2016 by DanielG to revision 1   [What is this?]
Distributions Arch:0.8.0.2, Debian:0.6.2.0, NixOS:0.8.0.2
Executables cabal-helper-wrapper
Downloads 21730 total (492 in the last 30 days)
Rating (no votes yet) [estimated by rule of succession]
Your Rating
  • λ
  • λ
  • λ
Status Docs available [build log]
Last success reported on 2015-08-03 [all 1 reports]
Hackage Matrix CI

Modules

[Index]

Downloads

Note: This package has metadata revisions in the cabal description newer than included in the tarball. To unpack the package including the revisions, use 'cabal get'.

Maintainer's Corner

For package maintainers and hackage trustees